> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All-Time High Price

> 自我们记录以来该代币的历史最高价。

## SDK Example

<CodeGroup>
  ```typescript SDK
  import { Client } from '@solana-tracker/data-api';

  const client = new Client({ apiKey: 'YOUR_API_KEY' });

  const data = await client.getAthPrice('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');

  ```
</CodeGroup>


## OpenAPI

````yaml /cn/data-api/openapi.json get /tokens/{tokenAddress}/ath
openapi: 3.1.0
info:
  title: Solana Tracker 数据 API
  description: Solana Tracker 数据 API：提供代币价格、持币地址、成交、图表、钱包数据、风险信号与市场分析等能力。
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: 生产环境
security:
  - apiKey: []
paths:
  /tokens/{tokenAddress}/ath:
    get:
      tags:
        - Tokens
      summary: Get All-Time High Price
      description: 自我们记录以来该代币的历史最高价。
      parameters:
        - name: tokenAddress
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ATHResponse'
              example:
                highest_price: 2.6710420828327996
                highest_market_cap: 2670996289.82
                timestamp: 1737327537255
                pool_id: Bzc9NZfMqkXR6fz1DBph7BDf9BroyEf6pnzESP7v5iiw
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getAthPrice('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
      x-code-samples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getAthPrice('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
components:
  schemas:
    ATHResponse:
      type: object
      properties:
        highest_price:
          type: number
        timestamp:
          type: integer
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 用于鉴权的 API Key

````